%define upstream_name    File-Path
%define upstream_version 2.09

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    File path and name utilities
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/File/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(Cwd)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Basename)
BuildRequires: perl(File::Spec)
BuildArch:  noarch

%description
This module provide a convenient way to create directories of arbitrary
depth and to delete an entire directory subtree from the filesystem.

The following functions are provided:

* make_path( $dir1, $dir2, .... )

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
%makeinstall_std

%files
%doc Changes META.yml MYMETA.yml README TODO eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Mon Oct 21 2013 umeabot <umeabot> 2.90.0-2.mga4
+ Revision: 537150
- Mageia 4 Mass Rebuild

* Wed Sep 25 2013 sander85 <sander85> 2.90.0-1.mga4
+ Revision: 486416
- update to 2.09

* Wed Mar 27 2013 jquelin <jquelin> 2.80.0-3.mga3
+ Revision: 405487
- perl 5.16.3 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.80.0-2.mga3
+ Revision: 367287
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 20 2011 jquelin <jquelin> 2.80.0-1.mga1
+ Revision: 26188
- mageia rebuild
- imported package perl-File-Path

